List items in a kv store
GET
/api/v2/organizations/{organization}/projects/{project}/kv/{store_id}/items
const url = 'https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects/test-project/kv/0000/items?limit=10&include_values=false';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects/test-project/kv/0000/items?limit=10&include_values=false' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organization
required
string
Organization identifier
Example
test-orgproject
required
string
Project identifier
Example
test-projectstore_id
required
string
Example
0000Query Parameters
Section titled “Query Parameters”cursor
string
Cursor for pagination
limit
integer
Number of items to return
search
string
Search filter for keys
include_values
boolean
Include values in the response. Secret values will be redacted as ‘[ENCRYPTED]’ for security.
Responses
Section titled “Responses”The request has succeeded.
Media typeapplication/json
object
data
List of item keys
Array<string>
next_cursor
Cursor for next page of results
string
Example
{ "next_cursor": "next-page-token"}The server could not understand the request due to invalid syntax.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}Access is forbidden.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}